$cuFileNameCpp = "mfcTChartCU.cpp"
$cuFileNameH = "mfcTChartCU.h"
rm $cuFileNameCpp #-ErrorAction Ignore
rm $cuFileNameH #-ErrorAction Ignore

$files =get-childitem . *.h

#
# Add "#pragma once" to each header file
#
if ($false)
{
    foreach ($file in $files) 
    {
        echo $file
        $content = "#pragma once`n"
        foreach ($l in Get-Content $file)
        {
        $content += $l + "`n"    
        }
        Set-Content $file $content
    }
}

# 
# Create compilation unit file
#

# .h file
$content = "#include ""stdafx.h""`n`n"
foreach ($file in $files) 
{
  $content += '#include "' + $file.Name + '"' + "`n"
}
Set-Content $cuFileNameH $content
# .cpp file
#$content = '#include "' + $cuFileNameH + '"' + "`n`n"
$content = "#include ""stdafx.h""`n`n"
foreach ($file in get-childitem . *.cpp) 
{
  $content += '#include "' + $file.Name + '"' + "`n"
}
Set-Content $cuFileNameCpp $content
